'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Icon = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _checkTypes = require('check-types');

var _checkTypes2 = _interopRequireDefault(_checkTypes);

var _utils = require('../utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Icon component.
 *
 * @param {Object} props
 * @returns {Object}
 */
var Icon = exports.Icon = function Icon(props) {
  _checkTypes2.default.assert.string(props.icon, 'Property "icon" must be a string.');
  _checkTypes2.default.assert.maybe.string(props.prefix, 'Property "prefix" must be a string.');

  var className = (0, _utils.createClassName)(props.prefix, props.prefix ? props.prefix + '-' + props.icon : props.icon, (0, _utils.generalClassNames)(props));

  return _react2.default.createElement('i', _extends({}, (0, _utils.removeProps)(props, ['prefix', 'icon']), { className: className }));
};

exports.default = Icon;